
package com.amadeus.travelManagement.amadeus.xml._2010._06.travel_servicelistrq_v1;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for BagDimensionListType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="BagDimensionListType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="Length"/&amp;gt;
 *     &amp;lt;enumeration value="Height"/&amp;gt;
 *     &amp;lt;enumeration value="Width"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "BagDimensionListType")
@XmlEnum
public enum BagDimensionListType {

    @XmlEnumValue("Length")
    LENGTH("Length"),
    @XmlEnumValue("Height")
    HEIGHT("Height"),
    @XmlEnumValue("Width")
    WIDTH("Width");
    private final String value;

    BagDimensionListType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static BagDimensionListType fromValue(String v) {
        for (BagDimensionListType c: BagDimensionListType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
